Show / Hide Table of Contents

# Class IListConverter<T>

A CollectionConverter<T, TCollection> for an IList<T>, creating a List<T> when deserializing.

##### Inheritance

Object
ValueConverter<IList<T>>
CollectionConverter<T, IList<T>>
IListConverter<T>
IListConverter<T, TConverter>

##### Implements

IValueConverter

##### Inherited Members

CollectionConverter<T, IList<T>>.BaseConverter
CollectionConverter<T, IList<T>>.Create(Int32, Object)
CollectionConverter<T, IList<T>>.PopulateFromValue(IList<T>, List, Object)
CollectionConverter<T, IList<T>>.FromValue(Value, Object)
CollectionConverter<T, IList<T>>.ToValue(IList<T>, Object)
ValueConverter<IList<T>>.ToValue(IList<T>, Object)
ValueConverter<IList<T>>.FromValue(Value, Object)
ValueConverter<IList<T>>.IValueConverter.ToValue(Object, Object)
ValueConverter<IList<T>>.IValueConverter.FromValue(Value, Object)
ValueConverter<IList<T>>.IValueConverter.Type
Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config.Stores.Converters

###### Assembly: IPA.Loader.dll

##### Syntax

    public class IListConverter<T> : CollectionConverter<T, IList<T>>, IValueConverter

##### Type Parameters

Name | Description
--- | ---
T | the element type of the IList<T>

### Constructors

| Improve this Doc View Source

#### IListConverter()

Creates an IListConverter<T> using the default converter for `T`.

##### Declaration

    public IListConverter()

##### See Also

CollectionConverter()
| Improve this Doc View Source

#### IListConverter(ValueConverter<T>)

Creates an IListConverter<T> using the specified underlying converter for values.

##### Declaration

    public IListConverter(ValueConverter<T> underlying)

##### Parameters

Type | Name | Description
--- | --- | ---
ValueConverter<T> | underlying | the underlying ValueConverter<T> to use for the values

### Methods

| Improve this Doc View Source

#### Create(Int32, Object)

Creates a new IList<T> (a List<T>) for deserialization.

##### Declaration

    protected override IList<T> Create(int size, object parent)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | size | the size to initialize it to
Object | parent | the object that will own the new object

##### Returns

Type | Description
--- | ---
IList<T> | the new IList<T>

##### Overrides

IPA.Config.Stores.Converters.CollectionConverter<T, System.Collections.Generic.IList<T>>.Create(System.Int32, System.Object)

### Implements

IValueConverter

### Extension Methods

ReflectionUtil.SetField(Object, String, Object)
ReflectionUtil.SetField<T>(T, String, Object)
ReflectionUtil.GetField<T>(Object, String)
ReflectionUtil.SetProperty(Object, String, Object)
ReflectionUtil.SetProperty<T>(T, String, Object)
ReflectionUtil.InvokeMethod(Object, String, Object[])
ReflectionUtil.InvokeMethod<T>(T, String, Object[])
ReflectionUtil.InvokeMethod<T>(Object, String, Object[])
ReflectionUtil.InvokeMethod<T, U>(U, String, Object[])

### See Also

CollectionConverter<T, TCollection>